import Component  from '../component.js'
import CoEuiCardFooterActionButtons from './eui-card-footer-action-buttons.js'
import CoEuiCardFooterActionIcons from  './eui-card-footer-action-icons.js'
import CoEuiCardFooterMenuContent from './eui-card-footer-menu-content.js'

CoEuiCardFooterActionButtons

export default class CoEuiCardFooter extends Component {
  constructor(parent) {
    let selector = 'eui-card-footer';
    super(parent, selector);
    // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-card/components/eui-card-footer/eui-card-footer.component.html?at=support/13.x
  }
  get container() {
    return this.currentPath + '//div[contains(@class, "eui-card-footer-container")]';
  }
  get euiCardFooterActions() {
    return this.container + '//div[contains(@class, "eui-card-footer-actions")]';
  }
  async hasActionButtonsIconsMenu() {
    return await (await $(this.euiCardFooterActions)).isExisting();
  }
  get euiCardFooterActionButtonsCO() {
    return new CoEuiCardFooterActionButtons(this.euiCardFooterActions);
  }
  get actionsIconsContainer() {
    return this.euiCardFooterActions + '//div[contains(@class, "eui-card-footer-actions__icons-container")]';
  }
  async hasActionIconsContainer() {
    return await (await $(this.actionsIconsContainer)).isExisting();
  }
  get euiCardFooterActionIconsCO() {
    return new CoEuiCardFooterActionIcons(this.actionsIconsContainer);
  }
  async hasFooterActionIcons() {
    return await (await $(this.euiCardFooterActionIconsCO.currentPath)).isExisting();
  }
  get euiCardFooterMenuContentCO() {
    return new CoEuiCardFooterMenuContent(this.actionsIconsContainer);
  }
  async hasActionMenu() {
    return await (await $(this.euiCardFooterMenuContentCO.currentPath)).isExisting();
  }
}


